Skip to navigation

Properties Search

View as Markdown

Search across property templates for particular property field values.

Required scope: files.metadata.read

Endpoint format: RPC

Authentication: User

This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer

OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.

Public clients should use the authorization code flow with PKCE (S256).

For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional

Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.

Request

This endpoint expects an object.
querieslist of objectsRequired
Queries to search.
template_filterobject or nullOptional
Filter results to contain only properties associated with these template IDs.
Variant:
file_properties.TemplateFilter.filter_someobjectRequired

Only templates with an ID in the supplied list will be returned (a subset of templates will be returned).

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
matcheslist of objects

A list (possibly empty) of matches for the query.

cursorstring or nullOptional>=1 character

Pass the cursor into properties/search/continue to continue to receive search results. Cursor will be null when there are no more results.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error